nxt

## Class DigitalGoodsStore.Goods

- java.lang.Object
- - nxt.DigitalGoodsStore.Goods

- Enclosing class:
    DigitalGoodsStore

      public static final class DigitalGoodsStore.Goods
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DbIterator<DigitalGoodsStore.Goods>` | `getAllGoods(int from, int to)`
    `static int` | `getCount()`
    `static int` | `getCountInStock()`
    `java.lang.String` | `getDescription()`
    `static DigitalGoodsStore.Goods` | `getGoods(long goodsId)`
    `static DbIterator<DigitalGoodsStore.Goods>` | `getGoodsInStock(int from, int to)`
    `long` | `getId()`
    `java.lang.String` | `getName()`
    `java.lang.String[]` | `getParsedTags()`
    `long` | `getPriceNQT()`
    `int` | `getQuantity()`
    `static DbIterator<DigitalGoodsStore.Goods>` | `getSellerGoods(long sellerId, boolean inStockOnly, int from, int to)`
    `static int` | `getSellerGoodsCount(long sellerId, boolean inStockOnly)`
    `long` | `getSellerId()`
    `java.lang.String` | `getTags()`
    `int` | `getTimestamp()`
    `boolean` | `hasImage()`
    `boolean` | `isDelisted()`
    `static DbIterator<DigitalGoodsStore.Goods>` | `searchGoods(java.lang.String query, boolean inStockOnly, int from, int to)`
    `static DbIterator<DigitalGoodsStore.Goods>` | `searchSellerGoods(java.lang.String query, long sellerId, boolean inStockOnly, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCount

          public static int getCount()

    - #### getCountInStock

          public static int getCountInStock()

    - #### getGoods

          public static DigitalGoodsStore.Goods getGoods(long goodsId)

    - #### getAllGoods

          public static DbIterator<DigitalGoodsStore.Goods> getAllGoods(int from,
                                                                        int to)

    - #### getGoodsInStock

          public static DbIterator<DigitalGoodsStore.Goods> getGoodsInStock(int from,
                                                                            int to)

    - #### getSellerGoods

          public static DbIterator<DigitalGoodsStore.Goods> getSellerGoods(long sellerId,
                                                                           boolean inStockOnly,
                                                                           int from,
                                                                           int to)

    - #### getSellerGoodsCount

          public static int getSellerGoodsCount(long sellerId,
                                                boolean inStockOnly)

    - #### searchGoods

          public static DbIterator<DigitalGoodsStore.Goods> searchGoods(java.lang.String query,
                                                                        boolean inStockOnly,
                                                                        int from,
                                                                        int to)

    - #### searchSellerGoods

          public static DbIterator<DigitalGoodsStore.Goods> searchSellerGoods(java.lang.String query,
                                                                              long sellerId,
                                                                              boolean inStockOnly,
                                                                              int from,
                                                                              int to)

    - #### getId

          public long getId()

    - #### getSellerId

          public long getSellerId()

    - #### getName

          public java.lang.String getName()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getTags

          public java.lang.String getTags()

    - #### getTimestamp

          public int getTimestamp()

    - #### getQuantity

          public int getQuantity()

    - #### getPriceNQT

          public long getPriceNQT()

    - #### isDelisted

          public boolean isDelisted()

    - #### getParsedTags

          public java.lang.String[] getParsedTags()

    - #### hasImage

          public boolean hasImage()